MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028068Open CASCADE[OCCT] OCCT:Samplespublic2016-11-07 20:072016-12-09 16:40
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028068: Samples - Add dimension functionality shows incorrect tip for an Edge in mfc Viewer3d
DescriptionAdd dimension functionality shows incorrect tip for an Edge in sample mfc Viewer3d
Steps To Reproduce• Create box
• Press "Add dimension button"
• Press "Click to set up selected edge" button on "Edge" tab
-> Wrong message appears
• Select any vertex of box (as it was said in the message)
• Press "Click to set up selected edge" button again
-> Exception
TagsNo tags attached.
Test case numberNot needed
Attached Filesjpg file icon Wrong_message.jpg (65,898 bytes) 2016-11-07 20:07

- Relationships

-  Notes
(0060043)
git (administrator)
2016-11-08 17:26

Branch CR28068 has been created by ski.

SHA-1: 983c61d9b5b0335fda84729917ebfbbcdcd4eebf


Detailed log of new commits:

Author: ski
Date: Tue Nov 8 17:26:23 2016 +0300

    0028068: Samples - Add dimension functionality shows incorrect tip for an Edge in mfc Viewer3d
    
    Warning message was updated to show actual information.
    Additional checking of type of shape was added to prevent exceptions for Add Dimension functionality.
(0060044)
ski (developer)
2016-11-08 17:30

Dear abv,

occt branch CR28068 was created.
It contains updated message for Add dimension functionality.
Also, checking of type of selected shape was added to prevent exceptions.

Please, review.
(0060055)
abv (manager)
2016-11-08 18:04

No remarks, please integrate (no testing is needed)
(0060089)
apv (tester)
2016-11-09 12:00

Tested in scope of CR0-IR-2016-11-08
(0061276)
git (administrator)
2016-12-07 11:31

Branch CR28068 has been deleted by kgv.

SHA-1: 983c61d9b5b0335fda84729917ebfbbcdcd4eebf

- Related Changesets
occt: master 71c089e9
Timestamp: 2016-11-08 14:26:23
Author: ski
Committer: apn
Details ] Diff ]
0028068: Samples - Add dimension functionality shows incorrect tip for an Edge in mfc Viewer3d

Warning message was updated to show actual information.
Additional checking of type of shape was added to prevent exceptions for Add Dimension functionality.
mod - samples/mfc/standard/Common/AngleParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgePage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ParamsFacesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/RadiusParamsPage.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 20:07 ski New Issue
2016-11-07 20:07 ski Assigned To => abv
2016-11-07 20:07 ski File Added: Wrong_message.jpg
2016-11-08 14:24 abv Assigned To abv => ski
2016-11-08 14:24 abv Status new => assigned
2016-11-08 17:26 git Note Added: 0060043
2016-11-08 17:30 ski Note Added: 0060044
2016-11-08 17:30 ski Assigned To ski => abv
2016-11-08 17:30 ski Status assigned => resolved
2016-11-08 18:04 abv Note Added: 0060055
2016-11-08 18:04 abv Assigned To abv => bugmaster
2016-11-08 18:04 abv Status resolved => reviewed
2016-11-09 12:00 apv Test case number => Not needed
2016-11-09 12:00 apv Note Added: 0060089
2016-11-09 12:00 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master 71c089e9
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061276
2016-12-09 15:50 abv Target Version 7.2.0 => 7.1.0
2016-12-09 16:28 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker